from setuptools import find_packages, setup

from Cython.Build import cythonize
import numpy as np

with open("README.md", 'r') as f:
    long_description = f.read()

setup(
    name="RADx-sim",
    version="0.3",
    packages=find_packages(),
    author="Alvin X Han, Brooke E Nichols, Colin A Russell",
    author_email = 'x.han@amsterdamumc.nl',
    description="A stochastic agent-based model to simulate SARS-CoV-2 epidemics.",
    #long_description=long_description,
    long_description_content_type='text/markdown',
    #url="",
    ext_modules=cythonize(["RADx/RADx.pyx"]),
    include_dirs=[np.get_include()],
    setup_requires=["cython>=0.29.23",
                    "numpy>=1.20.2"],
    install_requires=[
        'numpy>=1.20.2',
        'scipy>=1.6.2',
        'pandas>=1.2.4'
    ],
    scripts = ['bin/runradx.py']
)
